(function( $ ) {
	'use strict';
	$( window ).load(function() {

	/**
	 * Metabox tabs
	 */
	 $( '.entry-tab' ).click(function( event ){
			event.preventDefault();
			var id = $( this ).attr( 'id' );
			$( '.dictionary-field' ).addClass( 'hidden' );
			$( '.dictionary-field.' + id ).removeClass( 'hidden' );
		  $( '.entry-tab' ).removeClass( 'active' );
		  $( this ).addClass( 'active' );
	 });

	/**
	 * Autocomplete for linked posts
	 */
	function set_remove_links() {
		$( '.remove-linked-item' ).click(function( event ) {
			event.preventDefault();
			var remove_id = $( this ).attr( 'rel' );
			$( '#' + remove_id ).remove();
		});
	}
	set_remove_links();

	var url = ajaxurl + '?action=dictionary-pro-linked-posts';
	$( "[id*='suggest']" ).autocomplete( {
		// source: url,
		source: function( request, response ) {
			var input = $( this.element );

			var input_name = input.attr( 'name' );
			var post_type = input_name.replace( 'suggest_', '' );

			$.getJSON( url,
				{
					term: request.term,
					post_type: post_type
				},
			response );
		},
		delay: 500,
		minLength: 3,
		select: function( event, ui ) {
			event.preventDefault();
			var input = $( this );
			var input_id = input.attr( 'id' );
			var item_name = input_id.replace( 'suggest_', '' );

			var item_label 	= ui.item.value;
			var item_id 	= ui.item.id;

			var row = '<tr id="linked-item-' + item_id + '"><th class="left"><a href="?post=' + item_id + '&action=edit">' + item_label + '</a><div class="row-actions"><span class="delete"><a href="#" rel="linked-item-' + item_id + '" class="remove-linked-item">Remove</a></span></div><input type="hidden" name="' + item_name + '[' + item_id + ']" value="' + item_id + '" id="linked-item-' + item_id + '"></div></th></tr>';

			var parent_selector = '#metabox-' + item_name + ' .list-meta';
			$( parent_selector ).append( row );

			set_remove_links();
			document.getElementById( event.target.id ).value = '';
		}
	} );

}); })( jQuery );
