<div class="wrap">
    <h1>Dictionary Pro Settings</h1>
    <?php $active_class = ' nav-tab-active'; ?>
	<h2 class="nav-tab-wrapper">
		<?php
		global $dictionary;
		$settings = $dictionary->settings();
		$tabs = $dictionary->settings()->tabs();
		foreach ( $tabs as $tab => $info ) { ?>
			<a href="?post_type=<?php echo $dictionary->slug(); ?>&amp;page=settings&amp;tab=<?php echo $tab; ?>" class="nav-tab<?php echo $settings->current_tab() == $tab ? $active_class : ''; ?>">
				<span class="dashicons dashicons-<?php echo $info['icon']; ?>"></span>
					<?php echo $info['label']; ?>
			</a>
			<?php } ?>
	</h2>
	<form action="options.php" method="post">
		<?php
		$tab_name = $tabs[ $dictionary->settings()->current_tab() ]['label'];
		if ( isset( $_GET['settings-updated'] ) and 'true' === $_GET['settings-updated'] ) { ?>
		  <div id="message" class="notice notice-success is-dismissible">
				<?php
				$message = __( 'Successfully saved %s settings.', 'dictionary-pro' );
				$display = sprintf( $message, $tab_name );
				echo "<p>$display</p>";
			?>
		  </div>
		<?php } elseif ( isset( $_GET['settings-updated'] ) and 'false' === $_GET['settings-updated'] ) { ?>
		<div id="message" class="error below-h2 fade">
			<p>Error saving <strong><?php echo $tab_name; ?> Settings</strong>.</p>
		</div>
		<?php } ?>
		<?php // $settings_section = 'dictionary_' . wpd_current_settings_tab(); ?>
		<?php $settings_section = $settings->current_tab(); ?>
		<?php settings_fields( $settings_section ); ?>
		<?php do_settings_sections( $settings_section ); ?>
		<?php submit_button(); ?>
	</form>
</div>
