jQuery( document ).ready(function($) {

	/**
	 * JavaScript for adding inline Dictionary entries
	 */
	$( '#create-dictionary-entry' ).click(function( event ){
		var text = tinyMCE.activeEditor.selection.getContent();
		var inner = '';
		if ( text.length == 0 ) {
			inner = '<p>Whoops! This tool is for creating dictionary entries as you write. Please select the text in your editor that defines the entry you want to add.</p>';
		} else {
			inner = 'What is the name of this entry?<br /><input id="entry-title" value="" /> <input type="submit" id="create-entry" class="button" value="Create Entry" /><div class="entry-preview"><h3>Entry Preview:</h3>' + text + '</div>';
		}
		$( '#poststuff' ).append(
			'<div id="wpd-entry-modal" title="New Dictionary Entry">' + inner + '</div>'
		);
		$( '#wpd-entry-modal' ).dialog();
		$( '#create-entry' ).click(function( event ){
			var title = $( '#entry-title' ).val();
			var content = text;
			var url = ajaxurl + '?action=dictionary-pro-inline-entry';
			$.ajax({
				type: "POST",
				url: url,
				data: { post_title: title, post_content: content },
				error: function(jqXHR, textStatus, errorThrown){
					console.log( 'Error Triggered' );
					$( '#wpd-entry-modal' ).html( '<p>There was an error: ' + errorThrown + '</p>' );
				},
				success: function(data) {
					console.log( data );
					$( '#poststuff' ).prepend( '<div class="notice notice-success is-dismissible"><p>Dictionary entry <strong><a href="post.php?post=' + data.new_post_ID + '&action=edit" target="_blank">' + title + '</a></strong> successfully created.</p></div>' );
					$( '#wpd-entry-modal' ).remove();
				}
			});

		});
	});

});
